/** runtime */
import 'regenerator-runtime';
/** Lit */
import { LitElement, TemplateResult, PropertyValueMap } from 'lit';
import { Ref } from 'lit/directives/ref.js';
import { template } from '@services/templateService';
/** Components */
import '@gip-recia/eyebrow-user-info-lit';
import '@gip-recia/esco-content-menu-lit';
interface properties {
    messages: unknown;
    domain: string;
    portailPath: string;
    serviceName: string;
    favoritesPortletCardSize: string;
    gridPortletCardSize: string;
    defaultOrgLogoUrl: string;
    defaultOrgLogoPath: string;
    forceOrgLogoUrl: string;
    forceOrgLogoPath: string;
    defaultOrgIconUrl: string;
    defaultOrgIconPath: string;
    defaultAvatarUrl: string;
    defaultAvatarPath: string;
    contextApiUrl: string;
    favoriteApiUrl: string;
    layoutApiUrl: string;
    portletApiUrl: string;
    organizationApiUrl: string;
    userInfoApiUrl: string;
    sessionApiUrl: string;
    templateApiUrl: string;
    templateApiPath: string;
    template: template | null;
    signOutUrl: string;
    userInfoPortletUrl: string;
    switchOrgPortletUrl: string;
    switchOrgEvent: boolean;
    orgAttributeName: string;
    orgLogoUrlAttributeName: string;
    userAllOrgsIdAttributeName: string;
    hideActionMode: 'auto' | 'always' | 'never';
    showFavoritesInSlider: boolean;
    iconType: 'hamburger' | 'four-square' | 'four-empty-square' | 'nine-square' | 'nine-empty-square' | 'four-circle' | 'four-empty-circle' | 'nine-circle' | 'nine-empty-circle';
    returnHomeTarget: string;
    returnHomeTitle: string | null;
    height: string;
    sessionRenewDisable: boolean;
    portletInfoApiUrl: string;
    fname: string;
    debug: boolean;
}
declare type overridableProperties = Omit<properties, 'templateApiUrl' | 'templateApiPath' | 'template'>;
export declare class ExtendedUportalHeader extends LitElement {
    messages: never[];
    domain: string;
    portailPath: string;
    serviceName: string;
    favoritesPortletCardSize: string;
    gridPortletCardSize: string;
    defaultOrgLogoUrl: string;
    defaultOrgLogoPath: string;
    forceOrgLogoUrl: string;
    forceOrgLogoPath: string;
    defaultOrgIconUrl: string;
    defaultOrgIconPath: string;
    defaultAvatarUrl: string;
    defaultAvatarPath: string;
    contextApiUrl: string;
    favoriteApiUrl: string;
    layoutApiUrl: string;
    portletApiUrl: string;
    organizationApiUrl: string;
    userInfoApiUrl: string;
    sessionApiUrl: string;
    templateApiUrl: string;
    templateApiPath: string;
    template: template | null;
    signOutUrl: string;
    signInUrl: string;
    userInfoPortletUrl: string;
    switchOrgPortletUrl: string;
    switchOrgEvent: boolean;
    orgAttributeName: string;
    orgLogoUrlAttributeName: string;
    userAllOrgsIdAttributeName: string;
    hideActionMode: string;
    showFavoritesInSlider: boolean;
    iconType: string;
    returnHomeTarget: string;
    returnHomeTitle: string | null;
    height: string;
    sessionRenewDisable: boolean;
    dontOverride: Array<keyof overridableProperties> | null;
    portletInfoApiUrl: string;
    fname: string;
    debug: boolean;
    private _loaded;
    private _userApiResult;
    private _sessionTimeout;
    private _tokenExpireTime;
    private _loadingToken;
    private _userInfos;
    private _orgInfos;
    private _loadingData;
    private _loadingTemplate;
    hamburgerRef: Ref<HTMLElement>;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    protected shouldUpdate(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): boolean;
    private _firstLoad;
    private _debounceLoad;
    private _load;
    private _debounceRenewToken;
    private _renewToken;
    private _throttleRenewSession;
    private _renewSession;
    private _debounceGetTemplate;
    private _getTemplate;
    private _defaultProperties;
    private _overrideProperties;
    private _loadPortletInformations;
    private _handleUserAction;
    private _makeUrl;
    private _defaultOrgLogo;
    private _forceOrgLogo;
    private _picture;
    private _orgIconUrl;
    private _tplApiUrl;
    private _isConnected;
    render(): TemplateResult;
    private _preRender;
    private _renderMenu;
    private _renderUser;
    static styles: import("lit").CSSResult;
}
export {};
//# sourceMappingURL=extended-uportal-header.d.ts.map